Subject: Re: Russian Olive

From: [email-masked] (Kris Benarcik)
Date: 22 Mar 1995 14:18:30 GMT

One thing to condsider befor planting either Russian olive (Elaeagnus
angustifolia) or autumn olive (Elaeagnus umbellata) is whether or not they
escape and become a weed problem in your area.  In the Northeast and
Midwest these plants have become a problem in some areas, seeding into
meadows and taking over large areas.  Not having travelled in the Pacific
Northwest, I don't know how they behave in that area, but would recommend
looking into how they behave by calling a public garden or the Cooperative
Extension in your area.
By the way, both of these olive species were heavily used at one time as
highway plantings; the same as the multiflora rose which now is such a
problem.

Kris Benarcik
The Scott Arboretum